Package org.stianloader.micromixin.transform.internal.util.smap

## Class LineSection

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection
  - - org.stianloader.micromixin.transform.internal.util.smap.LineSection

    public class LineSection
    extends AbstractSMAPSection

### Nested Class Summary

Nested Classes
`static class` `LineSection.LineInfo`

### Constructor Summary

Constructors
`LineSection​(java.util.List<LineSection.LineInfo> lineInfos)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<LineSection.LineInfo>` `getLineInfos()`
`java.lang.StringBuilder` `pushContents​(java.lang.StringBuilder sharedBuilder)`

### Methods inherited from class org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LineSection

    public LineSection​(@NotNull
                       java.util.List<LineSection.LineInfo> lineInfos)

### Method Detail

#### getLineInfos

    @NotNull
    @Contract(pure=true)
    public java.util.List<LineSection.LineInfo> getLineInfos()

#### pushContents

    @NotNull
    public java.lang.StringBuilder pushContents​(@NotNull
                                                java.lang.StringBuilder sharedBuilder)

Specified by:
  `pushContents` in class `AbstractSMAPSection`